# Class: Link

## Link

#### new Link()

##### Fires:

- Link#event:errorReceived
- Link#event:attached
- Link#event:detached

### Extends

- EventEmitter

### Methods

#### detach(optionsopt) → {Promise}

Detach the link from the session

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`options` | object | <optional> | detach frame options

##### Returns:

Type
  Promise

### Events

#### attached

Attached event

#### detached

Detached event

#### errorReceived

Error received event

##### Parameters:

Name | Type | Description
--- | --- | ---
`error` | object | the received error